RDKit: RDKit::ScaffoldNetwork::ScaffoldNetworkParams Struct Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
RDKit::ScaffoldNetwork::ScaffoldNetworkParams Struct Reference

`#include <ScaffoldNetwork.h>`

## Public Member Functions
| ScaffoldNetworkParams ()
| ScaffoldNetworkParams (const std::vector< std::string > &bondBreakersSmarts)

## Public Attributes
bool | includeGenericScaffolds
| include scaffolds with all atoms replaced by dummies
bool | includeGenericBondScaffolds
| include scaffolds with all bonds replaced by single bonds
bool | includeScaffoldsWithoutAttachments
| remove attachment points from scaffolds and include the result
bool | includeScaffoldsWithAttachments
| Include the version of the scaffold with attachment points.
bool | includeNames
| Include molecules names of the input molecules.
bool | keepOnlyFirstFragment
| keep only the first fragment from the bond breaking rule
bool | pruneBeforeFragmenting
| Do a pruning/flattening step before starting fragmenting.
bool | flattenIsotopes = true
| remove isotopes when flattening
bool | flattenChirality
| remove chirality and bond stereo when flattening
bool | flattenKeepLargest
| keep only the largest fragment when doing flattening
bool | collectMolCounts = true
std::vector< std::shared_ptr< ChemicalReaction > > | bondBreakersRxns

## Detailed Description

Definition at line 37 of file ScaffoldNetwork.h.

## Constructor & Destructor Documentation

## ◆ ScaffoldNetworkParams() [1/2]

RDKit::ScaffoldNetwork::ScaffoldNetworkParams::ScaffoldNetworkParams | ( |  | ) |
| inline

Definition at line 63 of file ScaffoldNetwork.h.

References ScaffoldNetworkParams().

Referenced by ScaffoldNetworkParams().

## ◆ ScaffoldNetworkParams() [2/2]

RDKit::ScaffoldNetwork::ScaffoldNetworkParams::ScaffoldNetworkParams | ( | const std::vector< std::string > & | bondBreakersSmarts | ) |

## Member Data Documentation

## ◆ bondBreakersRxns

std::vector<std::shared_ptr<ChemicalReaction> > RDKit::ScaffoldNetwork::ScaffoldNetworkParams::bondBreakersRxns

the reaction(s) used to fragment. Should expect a single reactant and produce two products

Definition at line 61 of file ScaffoldNetwork.h.

## ◆ collectMolCounts

bool RDKit::ScaffoldNetwork::ScaffoldNetworkParams::collectMolCounts = true

keep track of the number of molecules each scaffold was reached from

Definition at line 57 of file ScaffoldNetwork.h.

## ◆ flattenChirality

bool RDKit::ScaffoldNetwork::ScaffoldNetworkParams::flattenChirality

Initial value:
=
true

remove chirality and bond stereo when flattening

Definition at line 53 of file ScaffoldNetwork.h.

## ◆ flattenIsotopes

bool RDKit::ScaffoldNetwork::ScaffoldNetworkParams::flattenIsotopes = true

remove isotopes when flattening

Definition at line 52 of file ScaffoldNetwork.h.

## ◆ flattenKeepLargest

bool RDKit::ScaffoldNetwork::ScaffoldNetworkParams::flattenKeepLargest

Initial value:
=
true

keep only the largest fragment when doing flattening

Definition at line 55 of file ScaffoldNetwork.h.

## ◆ includeGenericBondScaffolds

bool RDKit::ScaffoldNetwork::ScaffoldNetworkParams::includeGenericBondScaffolds

Initial value:
=
false

include scaffolds with all bonds replaced by single bonds

Definition at line 40 of file ScaffoldNetwork.h.

## ◆ includeGenericScaffolds

bool RDKit::ScaffoldNetwork::ScaffoldNetworkParams::includeGenericScaffolds

Initial value:
=
true

include scaffolds with all atoms replaced by dummies

Definition at line 38 of file ScaffoldNetwork.h.

## ◆ includeNames

bool RDKit::ScaffoldNetwork::ScaffoldNetworkParams::includeNames

Initial value:
=
false

Include molecules names of the input molecules.

Definition at line 46 of file ScaffoldNetwork.h.

## ◆ includeScaffoldsWithAttachments

bool RDKit::ScaffoldNetwork::ScaffoldNetworkParams::includeScaffoldsWithAttachments

Initial value:
=
true

Include the version of the scaffold with attachment points.

Definition at line 44 of file ScaffoldNetwork.h.

## ◆ includeScaffoldsWithoutAttachments

bool RDKit::ScaffoldNetwork::ScaffoldNetworkParams::includeScaffoldsWithoutAttachments

Initial value:
=
true

remove attachment points from scaffolds and include the result

Definition at line 42 of file ScaffoldNetwork.h.

## ◆ keepOnlyFirstFragment

bool RDKit::ScaffoldNetwork::ScaffoldNetworkParams::keepOnlyFirstFragment

Initial value:
=
true

keep only the first fragment from the bond breaking rule

Definition at line 48 of file ScaffoldNetwork.h.

## ◆ pruneBeforeFragmenting

bool RDKit::ScaffoldNetwork::ScaffoldNetworkParams::pruneBeforeFragmenting

Initial value:
=
true

Do a pruning/flattening step before starting fragmenting.

Definition at line 50 of file ScaffoldNetwork.h.

The documentation for this struct was generated from the following file:

- ScaffoldNetwork.h